Package org.apache.struts2.async

# Class DefaultAsyncManager

java.lang.Object
org.apache.struts2.async.DefaultAsyncManager

All Implemented Interfaces:
  `jakarta.servlet.AsyncListener`, `EventListener`, `AsyncManager`

public class DefaultAsyncManager extends Object implements AsyncManager, jakarta.servlet.AsyncListener
Implements `AsyncManager` to add support for invoke async actions via Servlet 3's API.

Since:
  6.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAsyncManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getAsyncActionResult()`
  `boolean`
  `hasAsyncActionResult()`
  `void`
  `invokeAsyncAction(Callable asyncAction)`
  `void`
  `onComplete(jakarta.servlet.AsyncEvent asyncEvent)`
  `void`
  `onError(jakarta.servlet.AsyncEvent asyncEvent)`
  `void`
  `onStartAsync(jakarta.servlet.AsyncEvent asyncEvent)`
  `void`
  `onTimeout(jakarta.servlet.AsyncEvent asyncEvent)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultAsyncManager

    public DefaultAsyncManager()

- ## Method Details

  - ### invokeAsyncAction

    public void invokeAsyncAction(Callable asyncAction)
    Specified by:
      `invokeAsyncAction` in interface `AsyncManager`

  - ### hasAsyncActionResult

    public boolean hasAsyncActionResult()
    Specified by:
      `hasAsyncActionResult` in interface `AsyncManager`

  - ### getAsyncActionResult

    public Object getAsyncActionResult()
    Specified by:
      `getAsyncActionResult` in interface `AsyncManager`

  - ### onComplete

    public void onComplete(jakarta.servlet.AsyncEvent asyncEvent) throws IOException
    Specified by:
      `onComplete` in interface `jakarta.servlet.AsyncListener`
    Throws:
      `IOException`

  - ### onTimeout

    public void onTimeout(jakarta.servlet.AsyncEvent asyncEvent) throws IOException
    Specified by:
      `onTimeout` in interface `jakarta.servlet.AsyncListener`
    Throws:
      `IOException`

  - ### onError

    public void onError(jakarta.servlet.AsyncEvent asyncEvent) throws IOException
    Specified by:
      `onError` in interface `jakarta.servlet.AsyncListener`
    Throws:
      `IOException`

  - ### onStartAsync

    public void onStartAsync(jakarta.servlet.AsyncEvent asyncEvent) throws IOException
    Specified by:
      `onStartAsync` in interface `jakarta.servlet.AsyncListener`
    Throws:
      `IOException`